Package org.gradle.api.plugins.scala

## Interface ScalaPluginExtension

-     @Incubating
      public interface ScalaPluginExtension

  Common configuration for Scala based projects. This is added by the `ScalaBasePlugin`.
  Since:
    6.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Property<String>` | `getZincVersion()` | The version of the Zinc compiler to use for compiling Scala code.

- - ### Method Detail

    - #### getZincVersion

          Property<String> getZincVersion()

      The version of the Zinc compiler to use for compiling Scala code.

      Default version is Zinc "1.3.5".

      Gradle supports Zinc 1.2.0 to 1.3.5.
      Returns:
        zinc compiler version
      Since:
        6.0